### Function

# FwupdPlugin crc8

since: 2.0.0

#### Declaration [src]

    guint8
    fu_crc8 (
      FuCrcKind kind,
      const guint8* buf,
      gsize bufsz
    )

#### Description [src]

Returns the cyclic redundancy check value for the given memory buffer.

Available since: 2.0.0

#### Parameters

`kind`

  Type: `FuCrcKind`

  A `FuCrcKind`, typically `FU_CRC_KIND_B8_MAXIM_DOW`.

`buf`

  Type: `const guint8*`

  Memory buffer.

  The data is owned by the caller of the function.

`bufsz`

  Type: `gsize`

  Size of `buf`.

#### Return value

Type: `guint8`

CRC value.